/**************************************************************************************

        MUSTUXLIB - THE COMMON LIBRARY FOR ALL MUSTUX APPLICATIONS
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/

#ifndef MUSTUXJOGMOUSEBOARDACTION_HH
#define MUSTUXJOGMOUSEBOARDACTION_HH

#include <qstring.h>

class MustuxJogMouseBoardAction
    {
    public:
        MustuxJogMouseBoardAction();
        ~MustuxJogMouseBoardAction();
        
        void set(QString actioname,
                 int type,
                 int key1A,
                 int key2A,
                 int key1B,
                 int key2B,
                 bool useX,
                 bool useY ,
                 bool useGrab,
                 int parameter);
        
        void set_instantaneous(bool status);

        QString name;
        int type;
        int press1_key1;
        int press1_key2;
        int press2_key1;
        int press2_key2;
        bool useX;
        bool useY;
        bool useGrab;
        bool isInstantaneous;
        int parameter;
    };



#endif

// eof

