/**************************************************************************************

        MUSTUXLIB - THE COMMON LIBRARY FOR ALL MUSTUX APPLICATIONS
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/

#ifndef MUSTUXAPPLICATION_HH
#define MUSTUXAPPLICATION_HH

#include <qapplication.h>

static const int LEFT = 0;
static const int RIGHT = 1;
static const int UP = 2;
static const int DOWN = 3;

class MustuxInterface;


class MustuxApplication : public QApplication
        {
        public :
                MustuxApplication (int argc, char **argv );
                ~MustuxApplication();

        private :
                MustuxInterface* interface;
        };


#include "MustuxInterface.hh"

#endif

